diff --git a/ldap/servers/slapd/tools/ldclt/opCheck.c b/ldap/servers/slapd/tools/ldclt/opCheck.c
index aa7f780..6f8505d 100644
--- a/ldap/servers/slapd/tools/ldclt/opCheck.c
+++ b/ldap/servers/slapd/tools/ldclt/opCheck.c
@@ -54,49 +54,6 @@
 			server to the attributes memorized for one operation,
 			etc...
 	LOCAL :		None.
-	HISTORY :
----------+--------------+------------------------------------------------------
-dd/mm/yy | Author	| Comments
----------+--------------+------------------------------------------------------
-04/05/99 | JL Schwing	| Creation
----------+--------------+------------------------------------------------------
-05/05/99 | F. Pistolesi	| 1.8 : Add communication with remote host.
-			| Implement operations check.
----------+--------------+------------------------------------------------------
-06/05/99 | JL Schwing	| 1.10: Implements opDecOper().
-			| Add more traces in VERY_VERBOSE
----------+--------------+------------------------------------------------------
-20/05/99 | JL Schwing	| 1.18: Add params (newRdn and newParent) to opAdd()
-			| Decode operations in Cnnn messages.
-			| No more exit on EINTR in accept()
-			| Fix memory leak in thOperFree()
----------+--------------+------------------------------------------------------
-21/05/99 | JL Schwing	| 1.19: Minor fixes in messages.
-			| Purify cleanup - Free memory read in opCheckLoop()
-			| Fix thOperFree() - pb when head of list to delete
-			| Fix memory leak in opNext().
----------+--------------+------------------------------------------------------
-26/05/99 | JL Schwing	| 1.21: Bug fix - return(-1) bad place in opNext().
-			| Minor fixes in messages.
----------+--------------+------------------------------------------------------
-27/05/99 | JL Schwing	| 1.22 : Add statistics to check threads.
----------+--------------+------------------------------------------------------
-27/05/99 | F. Pistolesi	| 1.23 : Fix statistics and other algorythms.
----------+--------------+------------------------------------------------------
-31/05/99 | JL Schwing	| 1.25 : Bug fix - should test opRead() returned pointer
----------+--------------+------------------------------------------------------
-02/06/99 | JL Schwing	| 1.26 : Add flag in main ctx to know if slave was 
-			|   connected or not.
-			| Add counter of operations received in check threads.
----------+--------------+------------------------------------------------------
-06/03/00 | JL Schwing	| 1.27: Test malloc() return value.
----------+--------------+------------------------------------------------------
-18/08/00 | JL Schwing	| 1.28: Print begin and end dates.
----------+--------------+------------------------------------------------------
-17/11/00 | JL Schwing	| 1.29: Implement "-e smoothshutdown".
----------+--------------+------------------------------------------------------
-29/11/00 | JL Schwing	| 1.30: Port on NT 4.
----------+--------------+------------------------------------------------------
 */
 
 #include <pthread.h>		/* Posix threads */
@@ -124,10 +81,6 @@ dd/mm/yy | Author	| Comments
 enum {SINGLE=0,FIRST,MIDDLE,LAST};
 
 
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	opDecOper
 	PURPOSE :	This function decodes an LDAP operation and return a
@@ -151,12 +104,6 @@ opDecOper (
   }
 }
 
-
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	LDAPMod2attributes
 	PURPOSE :	Convert a LDAPMod-like array of attributes to the
@@ -230,14 +177,6 @@ LDAPMod2attributes (
   return (0);
 }
 
-
-
-
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	freeAttributesArray
 	PURPOSE :	This function is targeted to free an array of
@@ -263,14 +202,6 @@ freeAttributesArray (
   return (0);
 }
 
-
-
-
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	opAdd
 	PURPOSE :	Add a new operation to the list.
@@ -387,12 +318,6 @@ opAdd (
   return (0);
 }
 
-
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	opNext
 	PURPOSE :	Return the next available operation. May return NULL
@@ -481,14 +406,6 @@ opNext (
   return (0);
 }
 
-
-
-
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	opRead
 	PURPOSE :	Read the n'th operation from the head.
@@ -522,11 +439,6 @@ opRead (
   return (0);
 }
 
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	thOperAdd
 	PURPOSE :	This function copies an operation to the late
@@ -590,11 +502,6 @@ thOperAdd ( thoper *head, oper *elem, int f)
   return head;
 }
 
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	thOperFree
 	PURPOSE :	This function frees memory for a late operation
@@ -626,11 +533,6 @@ thOperFree (thoper *head, thoper *elem)
   return head;
 }
 
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	opCheckLoop
 	PURPOSE :	This function is the per slave check function
@@ -858,11 +760,6 @@ opCheckLoop ( void* arg)
   pthread_exit(NULL);
 }
 
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	opCheckMain
 	PURPOSE :	This function is the main function of the check
@@ -881,9 +778,6 @@ opCheckMain (
 #ifdef LINUX
   struct hostent *stupidlinux=NULL;
 #endif
-#ifdef AIX
-  struct hostent_data stupidaix;
-#endif
   struct linger lopt;
   uint32_t ipaddr;
   int newfd,sockfd,ncctx,i,err;
@@ -923,11 +817,7 @@ opCheckMain (
 	retry = 1;
 	while (retry)
 	{
-#ifdef AIX
-		if ((newfd=accept(sockfd,(struct sockaddr *)&claddr,(unsigned long *)&i))>=0)
-#else
 		if ((newfd=accept(sockfd,(struct sockaddr *)&claddr,&i))>=0)
-#endif
 			retry = 0;
 		else
 			if (errno != EINTR)
@@ -941,10 +831,6 @@ opCheckMain (
 	 */
 	ipaddr=ntohl(claddr.sin_addr.s_addr);
 
-#ifdef AIX
-	gethostbyaddr_r((char*)&ipaddr,sizeof(ipaddr),AF_INET,&cltaddr,
-		&stupidaix);
-#else
 #ifdef LINUX
 	 gethostbyaddr_r((char*)&ipaddr,sizeof(ipaddr),AF_INET,&cltaddr,
 		buffer,128, &stupidlinux, &err); 
@@ -956,7 +842,6 @@ opCheckMain (
 		buffer,128,&err); 
 #endif
 #endif
-#endif
 
 	i=1;
 	if(setsockopt(newfd,IPPROTO_TCP, TCP_NODELAY,(void *)&i,sizeof(int))!=0)
@@ -1009,9 +894,3 @@ opCheckMain (
   close(sockfd);
 }
 
-
-
-
-
-
-/* End of file */
diff --git a/ldap/servers/slapd/tools/ldclt/port.h b/ldap/servers/slapd/tools/ldclt/port.h
index cacbf91..b63eff9 100644
--- a/ldap/servers/slapd/tools/ldclt/port.h
+++ b/ldap/servers/slapd/tools/ldclt/port.h
@@ -51,27 +51,11 @@
         DESCRIPTION :	
 			This file contains the include (interface) definitions 
 			of port.c
- LOCAL :		None.
-        HISTORY :
----------+--------------+------------------------------------------------------
-dd/mm/yy | Author	| Comments
----------+--------------+------------------------------------------------------
-28/11/00 | JL Schwing	| Creation
----------+--------------+------------------------------------------------------
-01/12/00 | JL Schwing	| 1.2 : Port on Linux.
----------+--------------+------------------------------------------------------
-01/12/00 | JL Schwing	| 1.3 : Port on HP-UX.
----------+--------------+------------------------------------------------------
-03/04/01 | JL Schwing	| 1.4 : Linux large file issue...
----------+--------------+------------------------------------------------------
 */
 
 /*
  * Tuning of the code
  */
-#ifdef AIX							/*JLS 01-12-00*/
-#define LDCLT_CAST_SIGACTION	1				/*JLS 01-12-00*/
-#endif								/*JLS 01-12-00*/
 
 #ifdef HPUX							/*JLS 01-12-00*/
 #define LDCLT_CAST_SIGACTION	1				/*JLS 01-12-00*/
diff --git a/ldap/servers/slapd/tools/ldclt/remote.h b/ldap/servers/slapd/tools/ldclt/remote.h
index d10dcaa..accb99b 100644
--- a/ldap/servers/slapd/tools/ldclt/remote.h
+++ b/ldap/servers/slapd/tools/ldclt/remote.h
@@ -49,17 +49,6 @@
         DESCRIPTION :	
 			This file contains the definitions used by the remote 
 			control module of ldclt.
- LOCAL :		None.
-        HISTORY :
----------+--------------+------------------------------------------------------
-dd/mm/yy | Author	| Comments
----------+--------------+------------------------------------------------------
-04/05/99 | JL Schwing	| Creation
----------+--------------+------------------------------------------------------
-05/05/99 | F. Pistolesi	| 1.3 : Implements communication with remote part.
----------+--------------+------------------------------------------------------
-06/05/99 | JL Schwing	| 1.4 : Port on Solaris 2.5.1
----------+--------------+------------------------------------------------------
 */
 
 /*
@@ -69,14 +58,7 @@ dd/mm/yy | Author	| Comments
 #include <sys/types.h>
 #include <fcntl.h>
 #include <sys/stat.h>
-#ifdef OSF1
-#ifndef _UINT32_T
-#define _UINT32_T
-typedef unsigned long	uint32_t;
-#endif /* _UINT32_T */
-#else /* OS_RELEASE */
 #include <inttypes.h>
-#endif /* OS_RELEASE */
 #include <sys/socket.h>
 #include <netdb.h>
 #include <netinet/in.h>
diff --git a/ldap/servers/slapd/tools/ldclt/utils.c b/ldap/servers/slapd/tools/ldclt/utils.c
index 80a429c..c3a0dce 100644
--- a/ldap/servers/slapd/tools/ldclt/utils.c
+++ b/ldap/servers/slapd/tools/ldclt/utils.c
@@ -57,18 +57,6 @@
 			framework and data structures, and thus to provide a 
 			kind of library suitable for any command.
 	LOCAL :		None.
-	HISTORY :
----------+--------------+------------------------------------------------------
-dd/mm/yy | Author	| Comments
----------+--------------+------------------------------------------------------
-14/11/00 | JL Schwing	| Creation
----------+--------------+------------------------------------------------------
-14/11/00 | JL Schwing	| 1.2 : Port on AIX.
----------+--------------+------------------------------------------------------
-16/11/00 | JL Schwing	| 1.3 : lint cleanup.
----------+--------------+------------------------------------------------------
-11/01/01 | JL Schwing	| 1.4 : Add new function rndlim().
----------+--------------+------------------------------------------------------
 */
 
 #include "utils.h"	/* Basic definitions for this file */
@@ -81,50 +69,8 @@ dd/mm/yy | Author	| Comments
 /*
  * Some global variables...
  */
-#ifdef AIX
-pthread_mutex_t	 ldcltrand48_mutex;	/* ldcltrand48() */	/*JLS 14-11-00*/
-#endif
-
-
-#ifdef AIX					/* New */	/*JLS 14-11-00*/
-/* ****************************************************************************
-	FUNCTION :	ldcltrand48
-	PURPOSE :	Implement a thread-save version of lrand48()
-	INPUT :		None.
-	OUTPUT :	None.
-	RETURN :	A random value.
-	DESCRIPTION :
- *****************************************************************************/
-long int
-ldcltrand48 (void)
-{
-  long int	 val;
-  int		 ret;
-
-  if ((ret = pthread_mutex_lock (&ldcltrand48_mutex)) != 0)
-  {
-    fprintf (stderr, 
-	"Cannot pthread_mutex_lock(ldcltrand48_mutex), error=%d (%s)\n", 
-	ret, strerror (ret));
-    fflush (stderr);
-    ldcltExit (99);
-  }
-  val = lrand48();
-  if ((ret = pthread_mutex_unlock (&ldcltrand48_mutex)) != 0)
-  {
-    fprintf (stderr,
-	"Cannot pthread_mutex_unlock(ldcltrand48_mutex), error=%d (%s)\n",
-	ret, strerror (ret));
-    fflush (stderr);
-    ldcltExit (99);
-  }
-
-  return (val);
-}
-
-#else  /* AIX */
 #define ldcltrand48()	lrand48()
-#endif /* AIX */
+
 
 
 /* ****************************************************************************
@@ -138,21 +84,6 @@ ldcltrand48 (void)
 int
 utilsInit (void)
 {
-#ifdef AIX							/*JLS 14-11-00*/
-  int	 ret;							/*JLS 14-11-00*/
-
-  /*
-   * Initiate the mutex that protect ldcltrand48()
-   */
-  if ((ret = pthread_mutex_init(&ldcltrand48_mutex, NULL)) != 0)/*JLS 14-11-00*/
-  {								/*JLS 14-11-00*/
-    fprintf (stderr, "ldclt: %s\n", strerror (ret));		/*JLS 14-11-00*/
-    fprintf (stderr, 						/*JLS 14-11-00*/
-		"Error: cannot initiate ldcltrand48_mutex\n");	/*JLS 14-11-00*/
-    fflush (stderr);						/*JLS 14-11-00*/
-    return (-1);						/*JLS 14-11-00*/
-  }								/*JLS 14-11-00*/
-#endif								/*JLS 14-11-00*/
 
   /*
    * No error
@@ -160,14 +91,6 @@ utilsInit (void)
   return (0);
 }
 
-
-
-
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	rndlim
 	PURPOSE :	Returns a random number between the given limits.
@@ -185,14 +108,6 @@ rndlim (
   return (low + ldcltrand48() % (high-low+1));
 }
 
-
-
-
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	rnd
 	PURPOSE :	Creates a random number string between the given
@@ -217,11 +132,6 @@ rnd (
 			(int)(low + (ldcltrand48() % (high-low+1))));	/*JLS 14-11-00*/
 }
 
-
-
-
-
-
 /* ****************************************************************************
 	FUNCTION :	rndstr
 	PURPOSE :	Return a random string, of length ndigits. The string 
@@ -334,6 +244,3 @@ incr_and_wrap(int val, int min, int max, int incr)
   return (((val + incr) - min) % range) + min;
 }
 
-
-
-/* End of file */
diff --git a/ldap/servers/slapd/tools/migratecred.c b/ldap/servers/slapd/tools/migratecred.c
index 3c876f0..86e6fb2 100644
--- a/ldap/servers/slapd/tools/migratecred.c
+++ b/ldap/servers/slapd/tools/migratecred.c
@@ -150,15 +150,7 @@ main( int argc, char **argv)
 	shared_lib = ".sl";
 #endif
 #else
-#ifdef AIX
-#if OSVERSION >= 4200
 	shared_lib = ".so";
-#else
-	shared_lib = "_shr.a";
-#endif
-#else
-	shared_lib = ".so";
-#endif
 #endif
 
 	if (!pluginpath) {
diff --git a/ldap/servers/slapd/tools/mkdep.c b/ldap/servers/slapd/tools/mkdep.c
index e5f49e0..7c79ee6 100644
--- a/ldap/servers/slapd/tools/mkdep.c
+++ b/ldap/servers/slapd/tools/mkdep.c
@@ -55,18 +55,11 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-
-#ifdef WINNT
-#include <windows.h>
-#include <winbase.h>
-#include <io.h>
-#else
 #include <unistd.h>
 #include <fcntl.h>
 #include <sys/mman.h>
 #include <sys/stat.h>
 #include <sys/types.h>
-#endif
 
 
 char __depname[512] = "\n\t@touch ";
@@ -80,12 +73,7 @@ struct path_struct {
 	char buffer[256-sizeof(int)];
 } path = { 0, "" };
 
-
-#ifdef WINNT
-#define EXISTS(_fn)	_access(_fn, 00)
-#else
 #define EXISTS(_fn)	access(_fn, F_OK)
-#endif
 
 /*
  * Handle an #include line.
@@ -233,65 +221,6 @@ pound_include_dquote:
     }
 }
 
-
-#ifdef WINNT
-
-/*
- * Alternate implementation of do_depend() for NT
- * (NT has its own wacky versions of open/mmap/close)
- */
-void do_depend(const char *filename, const char *command)
-{
-    HANDLE fd, mapfd;
-    BY_HANDLE_FILE_INFORMATION st;
-    char *map;
-
-    fd = CreateFile(filename, GENERIC_READ, FILE_SHARE_READ, NULL,
-	OPEN_EXISTING, FILE_FLAG_SEQUENTIAL_SCAN, NULL);
-    if (fd == INVALID_HANDLE_VALUE) {
-	fprintf(stderr, "NT error opening '%s'\n", filename);
-	return;
-    }
-    if (! GetFileInformationByHandle(fd, &st)) {
-	fprintf(stderr, "NT error getting stat on '%s'\n", filename);
-	CloseHandle(fd);
-	return;
-    }
-    if (st.nFileSizeLow == 0) {
-	fprintf(stderr, "%s is empty\n", filename);
-	CloseHandle(fd);
-	return;
-    }
-
-    mapfd = CreateFileMapping(fd, NULL, PAGE_READONLY, st.nFileSizeHigh,
-	st.nFileSizeLow, NULL);
-    if (mapfd == NULL) {
-	fprintf(stderr, "NT error creating file mapping of '%s'\n",
-	    filename);
-	CloseHandle(fd);
-	return;
-    }
-    map = MapViewOfFile(mapfd, FILE_MAP_READ, 0, 0, 0);
-    if (map == NULL) {
-	fprintf(stderr, "NT error creating mapped view of '%s'\n",
-	    filename);
-	CloseHandle(mapfd);
-	CloseHandle(fd);
-	return;
-    }
-
-    hasdep = 0;
-    state_machine(map, map+st.nFileSizeLow);
-    if (hasdep)
-	puts(command);
-
-    UnmapViewOfFile(map);
-    CloseHandle(mapfd);
-    CloseHandle(fd);
-}
-
-#else
-
 /*
  * Generate dependencies for one file.
  */
@@ -339,9 +268,6 @@ void do_depend(const char * filename, const char * command)
 	close(fd);
 }
 
-#endif
-
-
 /*
  * Generate dependencies for all files.
  */
diff --git a/ldap/servers/slapd/util.c b/ldap/servers/slapd/util.c
index 271f342..958ee6f 100644
--- a/ldap/servers/slapd/util.c
+++ b/ldap/servers/slapd/util.c
@@ -1051,9 +1051,6 @@ Description:
 		In UNIX this is accomplished by using select()
 		which should be supported across all UNIX platforms.
 
-		In WIN32 we simply use the Sleep() function which yields
-		for the number of milliseconds specified.
-
 ************************************************************************/
 void
 DS_Sleep(PRIntervalTime ticks)
